import { jsx } from "react/jsx-runtime";
import { TokenSOV as TokenSOV$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSOV = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "SOV", "data-name": "TokenSOV", ...props, children: /* @__PURE__ */ jsx(TokenSOV$1, { variant }) });
  }
);
TokenSOV.displayName = "TokenSOV";
Object.assign(TokenSOV, { isGdsIcon: true });
export {
  TokenSOV
};
